View Issue Details

IDProjectCategoryView StatusLast Update
0033704LazarusLCLpublic2020-09-23 16:30
ReporterMarkus Assigned ToBart Broersma  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformX86OSLinux Mint 
Product Version1.8.2 
Target Version2.0Fixed in Version2.0 
Summary0033704: TEdit NumbersOnly does not work under Linux Mint & Ubuntu
DescriptionUnder Linux Mint and Ubuntu the numbers Only property of the TEdit component doesn't work, while it does with Win7.
It is possible to enter e.g. characters.
Steps To Reproduce- drop Tedit on a form
- set NumbersOnly to true
- compile & run
- enter a character
TagsNo tags attached.
Fixed in Revisionr59981
LazTarget2.0
Widgetset
Attached Files

Relationships

has duplicate 0037277 resolvedJuha Manninen GTK2: TCustomEdit.NumbersOnly not implemented 
has duplicate 0037801 resolvedBart Broersma TEdit.NumbersOnly does not work on cocoa and gtk2 

Activities

Markus

2018-05-07 09:12

reporter  

NumbersOnly-LinuxMint.PNG (56,890 bytes)   
NumbersOnly-LinuxMint.PNG (56,890 bytes)   

Bart Broersma

2018-05-07 19:04

developer   ~0108177

IIRC then this (ATM) is Windows only.

Markus

2018-10-09 13:54

reporter   ~0111337

Excuse me for late response.
Can it be made visible in the IDE for OS specific properties?

Bart Broersma

2018-10-13 16:15

developer   ~0111392

Yes, put it in the appropriate issues.xml for the other WS.
Could you provide a patch?

Issue History

Date Modified Username Field Change
2018-05-07 09:12 Markus New Issue
2018-05-07 09:12 Markus File Added: NumbersOnly-LinuxMint.PNG
2018-05-07 19:04 Bart Broersma Note Added: 0108177
2018-10-09 13:54 Markus Note Added: 0111337
2018-10-13 16:15 Bart Broersma Note Added: 0111392
2019-01-02 15:31 Bart Broersma LazTarget => -
2019-01-02 15:31 Bart Broersma Status new => feedback
2019-01-03 18:13 Bart Broersma Fixed in Revision => r59981
2019-01-03 18:13 Bart Broersma LazTarget - => 2.0
2019-01-03 18:13 Bart Broersma Status feedback => resolved
2019-01-03 18:13 Bart Broersma Fixed in Version => 2.0
2019-01-03 18:13 Bart Broersma Resolution open => fixed
2019-01-03 18:13 Bart Broersma Assigned To => Bart Broersma
2019-01-03 18:13 Bart Broersma Target Version => 2.0
2020-09-23 16:28 Bart Broersma Relationship added has duplicate 0037277
2020-09-23 16:30 Bart Broersma Relationship added has duplicate 0037801